Package Details: qt4 4.8.7-33

Git Clone URL: https://aur.archlinux.org/qt4.git (read-only, click to copy)
Package Base: qt4
Description: A cross-platform application and UI framework
Upstream URL: https://www.qt.io
Licenses: custom, GPL3, LGPL, FDL
Conflicts: qt
Replaces: qt<=4.8.4
Submitter: arojas
Maintainer: dviktor
Last Packager: dviktor
Votes: 50
Popularity: 4.45
First Submitted: 2019-05-01 11:51
Last Updated: 2021-01-20 11:53

Dependencies (29)

Required by (527)

Sources (20)

Pinned Comments

dviktor commented on 2019-06-18 12:50

Binary version for latest version (4.8.7-33) with PGP signature is available here

eschwartz commented on 2019-05-09 13:24

@semeion,

qt4 was expelled from the official repositories due to https://lists.archlinux.org/pipermail/arch-dev-public/2019-April/029560.html

It will not be restored, because software needs to stop using qt4. It's fine for people to still use it via the AUR if they have old software that is not ported, but the proper solution is to get that software ported to qt5.

"It takes a long time to compile" is not a reason to move it to community.

@xuanruiqi,

Only Developers and Trusted Users have access to pkgbuild.com, and we will not be uploading qt4 there. If we wanted qt4, we would upload it to community, but we don't -- we have managed to move every package still being actively maintained in the official repos, over to qt5, and we want to stay that way.

...

Again, the proper long-term solution is to get software ported over to qt5.

dviktor commented on 2019-05-05 17:49

For those who have problems with ‘std::tr1’ has not been declared error: build in clean chroot with extra-x86_64-build script.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

valandil commented on 2021-02-07 19:15

@jerome2016: build in a clean chroot, see the pinned comments.

jerome2016 commented on 2021-02-07 10:44

can not update due to error:

make[2]: [Makefile.WebKit:1213 : .obj/release-static/YarrPattern.o] Erreur 1 make[2]: [Makefile.WebKit:1785 : .obj/release-static/DateMath.o] Erreur 1 make[2] : on quitte le répertoire « /home/jerome/.cache/paru/clone/qt4/src/qt-everywhere-opensource-src-4.8.7/src/3rdparty/webkit/Source/JavaScriptCore » make[1]: [Makefile.WebKit:43 : sub-JavaScriptCore-JavaScriptCore-pro-make_default-ordered] Erreur 2 make[1]: Wait for unfinished tasks.... make[1] : quite directory « /home/jerome/.cache/paru/clone/qt4/src/qt-everywhere-opensource-src-4.8.7/src/3rdparty/webkit/Source » make: *** [Makefile:747 : sub-webkit-make_default-ordered] Erreur 2

And i can see up there: ./wtf/HashSet.h:191:26: erreur: impossible to convert « ((WTF::HashSet<void*>)this)->WTF::HashSet<void*>::m_impl.WTF::HashTable<void*, void*, WTF::IdentityExtractor\<void*>, WTF::PtrHash\<void*>, WTF::HashTraits\<void*>, WTF::HashTraits\<void*> >::add(( & value)) » de « pair<WTF::HashTableIterator\<void*, void*, WTF::IdentityExtractor\<void*>, WTF::PtrHash\<void*>, WTF::HashTraits\<void*>, WTF::HashTraits\<void*> >,[...]> » to « pair<WTF::HashTableConstIteratorAdapter\<WTF::HashTable\<void*, void*, WTF::IdentityExtractor\<void*>, WTF::PtrHash\<void*>, WTF::HashTraits\<void*>, WTF::HashTraits\<void*> >, void*>,[...]> » 191 | return m_impl.add(value); | ~~~~~~~~~~^~~~~~~ | | | pair<WTF::HashTableIterator\<void*, void*, WTF::IdentityExtractor\<void*>, WTF::PtrHash\<void*>, WTF::HashTraits\<void*>, WTF::HashTraits\<void*> >,[...]> In the file include from yarr/YarrPattern.cpp:31:

valandil commented on 2021-02-05 11:31

@tom, I can't reproduce. Make sure to build in a chroot,as mentioned in the pinned comments above.

tom commented on 2021-02-04 17:15

 |     ^~~~

compiling kernel/qdesktopwidget.cpp compiling kernel/qguiplatformplugin.cpp In Datei, eingebunden von /usr/include/gtk-2.0/gdk/gdkcairo.h:28, von /usr/include/gtk-2.0/gdk/gdk.h:33, von /usr/include/gtk-2.0/gtk/gtk.h:32, von ../../include/QtGui/private/../../../src/gui/styles/qgtkstyle_p.h:69, von ../../include/QtGui/private/qgtkstyle_p.h:1, von kernel/qguiplatformplugin.cpp:63: /usr/include/gtk-2.0/gdk/gdkpixbuf.h:37:10: schwerwiegender Fehler: gdk-pixbuf/gdk-pixbuf.h: Datei oder Verzeichnis nicht gefunden 37 | #include <gdk-pixbuf/gdk-pixbuf.h> | ^~~~~~~~~~~~~~~~~~~~~~~~~ Kompilierung beendet. make[1]: [Makefile:65032: .obj/release-shared/qguiplatformplugin.o] Fehler 1 make[1]: Verzeichnis „/home/.../.cache/yay/qt4/src/qt-everywhere-opensource-src-4.8.7/src/gui“ wird verlassen make: [Makefile:422: sub-gui-make_default-ordered] Fehler 2 ==> FEHLER: Ein Fehler geschah in build(). Breche ab... error making: qt4

dviktor commented on 2021-01-23 16:40

@gammy just a temporary lag

gammy commented on 2021-01-23 16:37

desolve.ru is dead as a doornail. I'm not sure if it's temporary or permanent but it might be worth finding another mirror.

dviktor commented on 2021-01-22 21:01

@beaux_monde I assume pkgrel as a useful way to show changes introduced in PKGBUILD only regardless of the upstream sources. Also you can notice that packages in official repos are getting bumped in pkgrel even after simple rebuilds with the new libraries/compilers

@SDSK your error message is not informational at all - we need corresponding compilation log part to see what goes wrong. Also please try to build in clean chroot as referenced in the 3rd pinned post

SDSK commented on 2021-01-22 16:10

make: *** [Makefile:747: sub-webkit-make_default-ordered] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
error: failed to build qt4

beaux_monde commented on 2021-01-20 14:30

Whether a new download URI is a weighty argument to change of the package revision (and to rebuild the huge package) if the source tarball remains the same?

mikesco3 commented on 2021-01-20 05:09

yeah I ended up editing the PKGBUILD at around line 29 and replacing where it said

  source=("https://download.qt.io/archive/qt/4.8/${pkgver}/${_pkgfqn}.tar.gz"  

for:

  source=("https://ftp.osuosl.org/pub/blfs/conglomeration/qt4/${_pkgfqn}.tar.gz"